monodevelop (5.5.0.227-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.
  * Added mono-complete gtk-sharp2 to the depends list.

 -- Mike Purtell <mandbx@sbcglobal.net>  Fri, 26 Jun 2015 17:47:58 -0700

monodevelop (5.5.0.227-1) unstable; urgency=medium

  * [b2c8331] Imported Upstream version 5.5.0.227 (Closes: #754316)
  * [d210995] Delete obsolete patches
  * [1b59ae1] Clear patch fizz, via quilt refresh
  * [3dd147d] Fix error in configure.in which applies for tarball builds but 
    not git builds when running autoreconf
  * [21c2a57] Remove Metacity references for good
  * [3331661] Ensure NUnit 2.6.3 is installed
  * [fd85c88] Build-depend on NuGet
  * [a1ae116] Add WebKit to build dependencies, for Xwt moduleref resolution
  * [9b4cf12] Since the GDB addin is integrated now, declare it in 
    debian/control
  * [6231562] Correct NUnit links
  * [3d2b693] Fix NuGet addin, by copying libs locally
  * [74bf9a8] Don't symlink unused Mocks NUnit assembly
  * [ade52b2] Ensure IKVM.Reflection is built with default (4.5) profile

 -- Jo Shields <directhex@apebox.org>  Thu, 09 Oct 2014 14:09:23 +0100

monodevelop (4.0.12+dfsg-5) unstable; urgency=medium

  * [5fde005] Include a non-minified version of jquery-iframe-auto-height, 
    from https://github.com/house9/jquery-iframe-auto-height/tree/v1.9.0 
    .
    This file isn't even used, it's just included via an SVN external 
    which pulls in an entire repository for something not related to 
    this jQuery plugin. (Closes: #736741)
  * Rebuild for new NUnit (Closes: #762226)

 -- Jo Shields <jo.shields@xamarin.com>  Mon, 22 Sep 2014 10:13:49 +0100

monodevelop (4.0.12+dfsg-4) unstable; urgency=medium

  * No-change rebuild, for servicemodel ABI bump

 -- Jo Shields <directhex@apebox.org>  Mon, 07 Jul 2014 12:55:39 +0100

monodevelop (4.0.12+dfsg-3~exp1) experimental; urgency=medium

  * [c665d03] Added debian/gbp.conf to not rely on uploader's ~/.gbp.conf for a
    consistent debian/changelog
  * [4877eb0] Rebuild against Mono 3.2 (from experimental)
  * [1cd3d45] Changed debian-branch to master-experimental in debian/gbp.conf

 -- Mirco Bauer <meebey@debian.org>  Tue, 21 Jan 2014 05:22:05 +0100

monodevelop (4.0.12+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload, with maintainer’s permission.

  [ Mirco Bauer ]
  * [c665d03] Added debian/gbp.conf to not rely on uploader's
    ~/.gbp.conf for a consistent debian/changelog

  [ Dmitry Shachnev ]
  * [a426228] Build without libmetacity support (closes: #751597).
    The current libmetacity code does not work anyway (as it relies on
    removed gconf schema), and it is not compatible with Metacity 3.x.

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 19 Jun 2014 12:48:20 +0400

monodevelop (4.0.12+dfsg-2) unstable; urgency=low

  * [622568c] Use OS-provided Mono.Addins, not bundled project

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Oct 2013 17:21:21 +0200

monodevelop (4.0.12+dfsg-1) unstable; urgency=low

  * [5dcb6e1] Fix debian/watch for new source tarball name format
  * [5c68cb5] Refresh list of files removed by get-orig-source to 
    reflect 4.0.12
  * [96d60a0] Imported Upstream version 4.0.12+dfsg
  * [b989752] Refresh debian/patches/no_appmenu to ensure it applies
  * [2a4c351] Ensure every assembly in external/ is cleaned properly
  * [92762f7] Add more excluded Mac-specific modulerefs
  * [bc698ba] Add symlinks to NUnit assemblies (Closes: #714246)

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Oct 2013 14:50:04 +0200

monodevelop (4.0.5+dfsg-1) unstable; urgency=low

  * [a01b51d] Imported Upstream version 4.0+dfsg
  * [fce0339] Remove obsolete patch 
    fix_gettext_install_location_53282c9.patch
  * [8845d36] Remove obsolete patch link_system_nunit.patch - xbuild always 
    searches for system libraries to link against if we delete the bundled 
    versions.
  * [9060006] Remove obsolete patch use_libsvn1.patch - we don't need this, 
    since we can --exclude-moduleref these days when never-used libs are 
    referenced in platform-specific code.
  * [ec61152] Remove obsolete patch use_libapr1.patch - we don't need this, 
    since we can --exclude-moduleref these days when never-used libs are 
    referenced in platform-specific code.
  * [182e98c] Strangely, if you have multiple versions of the same library 
    installed (i.e. MVC) then the lowest numbered is used for xbuild 
    assembly references, which breaks the build. Force MVC3 since that 
    works (i.e. the code requires a Razor-capable MVC)
  * [9596fba] Exclude a bundle of extra Mac/Windows-specific modulerefs
  * [55ba361] Specifically require mono-devel 3.0+, to pull in MVC3
  * [dd232c9] Reference Xamarin Studio in debian/control, so searches in
    apt-cache match this package
  * [6adcafb] Remove the commented Moonlight stuff in debian/control, that 
    stuff is never coming back
  * [b66fae7] Fix package description for monodevelop-versioncontrol to 
    mention Git.
  * [4bfbce8] Specifically depend on the SGen garbage collector, since 
    upstream now recommends its use with MonoDevelop
  * [76fb6c7] Imported Upstream version 4.0.4+dfsg
  * [f2b85f9] Refresh list of files removed by +dfsg
  * [846e28a] Imported Upstream version 4.0.5+dfsg

 -- Jo Shields <directhex@apebox.org>  Sun, 12 May 2013 09:46:03 +0100

monodevelop (3.0.3.2+dfsg-1) unstable; urgency=low

  * [3fd89ae] Imported Upstream version 3.0.3.2+dfsg
  * [379a680] Remove old patches we haven't used for ages from git.
  * [d71161d] Remove correct_paths_in_monodevelop-core-addins.pc.patch.
    Upstream claim to have fixed this by moving assembly install locations.
  * [15dbfb9] Fix install location for MonoDevelop.Gettext.dll.config.
  * [26eb434] Fix install location for MonoDevelop.SourceEditor2.dll.config.
  * [4169974] Upstream commit 53282c9 which finally reconciles the 
    MonoDevelop.Gettext.dll install location with the 
    monodevelop-core-addins.pc location.

 -- Jo Shields <directhex@apebox.org>  Fri, 22 Jun 2012 20:35:35 +0100

monodevelop (3.0.2+dfsg-3) unstable; urgency=low

  * [fcecfe7] Fix monodevelop-core-addins.pc.in to point to actual 
    installed location of assemblies.
  * [26e1a07] DebSrc 3.0 does not support Quilt's -p parameter, so 
    manually adjust the path in the patch file.

 -- Jo Shields <directhex@apebox.org>  Sun, 27 May 2012 18:08:20 +0100

monodevelop (3.0.2+dfsg-2) unstable; urgency=low

  * Upload to unstable.

 -- Jo Shields <directhex@apebox.org>  Sun, 27 May 2012 17:02:55 +0100

monodevelop (3.0.2+dfsg-1) experimental; urgency=low

  * [d9ae4b4] Imported Upstream version 3.0.1+dfsg
  * [a5fbc35] Remove obsolete downstream port to NUnit 2.5, upstream now
     requires 2.6.
  * [9be4510] Remove patch to make 4.0 profile the default - it is now 
    the default upstream.
  * [c0e5c81] Remove obsolete patch to use our downstream mono-csc 
    compiler command for contrib libs.
  * [d225eb7] Moonlight is dead, so remove our patch to disable support.
  * [9597e12] Remove patch to generate Automake 1.11.2-compatible 
    makefiles, this has been accepted upstream.
  * [4850e5b] Delete more things in get-orig-source, since upstream has 
    accidentally left more things in the source.
  * [17080f3] Imported Upstream version 3.0.2+dfsg
  * [a3e11b8] Remove bitrotted addins from Suggests.

 -- Jo Shields <directhex@apebox.org>  Sat, 26 May 2012 21:36:22 +0100

monodevelop (2.8.6.3+dfsg-2) unstable; urgency=low

  * Team upload.
  * [3b97509] fix nunit port patch.
    Needed a small logic change for the TestSuiteResult -> TestResult merge
    in 2.5
    Added a ProjectService needed by nunit's DomainManager service
    Removed some line ending fuzz
  * [ad86e5e] refresh all patches
  * [226a326] treat new Error TestResult as a failure to get it displayed
  * [be03336] use dh $@ --with cli instead of cli.make
  * [f475710] wrap-and-sort debian/
  * [2635858] use dh-autoreconf

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 18 Feb 2012 22:59:35 +0800

monodevelop (2.8.6.3+dfsg-1) unstable; urgency=low

  * [1840cc1] Imported Upstream version 2.8.6.3+dfsg

 -- Jo Shields <directhex@apebox.org>  Sun, 05 Feb 2012 10:49:36 +0100

monodevelop (2.8.5+dfsg-3) unstable; urgency=low

  * [980e6b4] Update Autotools exporter template not to try and use 
    pkglib_SCRIPTS for assemblies, as Automake 1.11.2 does not permit this.

 -- Jo Shields <directhex@apebox.org>  Fri, 20 Jan 2012 17:28:33 +0000

monodevelop (2.8.5+dfsg-2) unstable; urgency=low

  * Upload to Unstable for Mono 2.10 transition.
  * [e247f92] Remove gbp.conf, we're using default branches now.

 -- Jo Shields <directhex@apebox.org>  Wed, 18 Jan 2012 23:11:54 +0000

monodevelop (2.8.5+dfsg-1) experimental; urgency=low

  * [5cc97fa] Imported Upstream version 2.8.5+dfsg
  * [97a3587] Refresh debian/patches/use_libsvn1.patch

 -- Jo Shields <directhex@apebox.org>  Mon, 19 Dec 2011 11:19:21 +0000

monodevelop (2.8.2+dfsg-1) experimental; urgency=low

  [ Gleb Golubitsky ]
  * [0c50f48] Removing dependency to non-present lib libobjc.dylib

  [ Jo Shields ]
  * [6612c21] Update debian/watch to use bz2, not gz, for upstream tarballs.
  * [d780bf9] Imported Upstream version 2.8.2+dfsg
  * [2058cc2] Refresh debian/patches/make_4.0_default_framework.patch.
  * [b27507a] Refresh debian/patches/link_system_nunit.patch.
  * [225c2c1] Refreshed 
              debian/patches/update_templates_for_gtk-sharp_2.12.patch.
  * [dbbfc74] Refreshed debian/patches/use_csc.patch
  * [6d74297] Refresh debian/patches/remove_support_for_moonlight.patch.
  * [dfdeb30] Don't apply debian/patches/remove-libobjc-dylib-dep.patch 
              after all - use --exclude-moduleref to skip this Mac-only 
              code.

 -- Jo Shields <directhex@apebox.org>  Tue, 08 Nov 2011 17:47:50 +0000

monodevelop (2.6+dfsg-1) experimental; urgency=low

  * [7c7e1e1] Update watch file to point to Xamarin-hosted MonoDevelop.
  * [c1bd155] Imported Upstream version 2.6+dfsg
  * [9b44935] Disable Ubuntu Appmenu for monodevelop (thanks bratsche) (LP: #606470)
  * [21473bc] Refresh system nunit patch.

 -- Jo Shields <directhex@apebox.org>  Sat, 10 Sep 2011 14:24:16 +0100

monodevelop (2.5.92+dfsg-2) experimental; urgency=low

  * [69b146e] Don't Suggest monodevelop-boo, since it seems EOL.
  * [30e59cf] Port NUnit addin to use NUnit 2.5.
  * [a398070] Include a hard build-dep on NUnit 2.5, since we need it now.

 -- Jo Shields <directhex@apebox.org>  Mon, 04 Jul 2011 17:53:49 +0100

monodevelop (2.5.92+dfsg-1) experimental; urgency=low

  * [d3fe546] Imported Upstream version 2.5.92+dfsg (2.6 Beta 3)
  * [d499e57] Disable inject_Mono.Debugger.Soft_source.patch, since this 
    source is now shipped by upstream.
  * [2098790] Disable avoid-dependency-on-Mono.Addins-0.5.patch, since 
    we now have Mono.Addins 0.6
  * [363239b] Refreshed link_system_nunit.patch, which had some aspects 
    hard-coded
  * [24aac28] Update use_libsvn1.patch for altered path in source tree
  * [a18613d] Refresh use_libapr1.patch for new path in source tree
  * [db6d7d0] Refresh use_csc.patch to specify ToolsVersion 4.0 for 
    xbuild-built components, especially contrib conponents
  * [0f7e9bf] Refresh debian/patches/remove_support_for_moonlight
  * [3bfb6d6] Start using DebSrc 3.0 (quilt) rather than quilt.make separately
  * [28a6814] Exclude modulerefs for Mac-only libraries
  * [fdce601] Update build-dependencies
  * [cf3ce81] Refresh binary dependencies for MonoDevelop package
  * [445d8a0] Refresh configure flags
  * [9971926] Exclude more modulerefs, for private libs which aren't going 
    to be in LD_LIBRARY_PATH
  * [8264ecb] Patch MonoDevelop to force .NET 4.0 as the default framework 
    version on new projects. This is recommended for new projects because our 
    GTK# (plus every other library not bundled inside Mono itself) is built 
    for .NET 4.0, so users will get nasty errors building their projects 
    with the 3.5 compiler when consuming 4.0 libraries.
  * [001f0aa] Bump mono-devel dependency
  * [e987431] Bump Debian Standards version to 3.9.2 (no changes)

 -- Jo Shields <directhex@apebox.org>  Mon, 27 Jun 2011 17:03:13 +0100

monodevelop (2.4.1+dfsg-1) experimental; urgency=low

  [ Stefan Ebner ]
  * [5ea0b80] Pointing to new VCS-* Locations as we are using git
    instead of svn now

  [ Jo Shields ]
  * [0991342] Add a gbp.conf since we're building in a separate branch
    for Debian Experimental
  * [aa1e75f] Imported Upstream version 2.4.1+dfsg
  * [3c4f7de] Remove use_keyfile_not_keycontainer patch (fixed upstream)
  * [ade23c4] Import upstream git commit 5a628ccfeed02aaee060 as a new 
    patch. This fixes some code introduced in MonoDevelop 2.4.1 which 
    requires Mono.Addins 0.5 (rather than the 0.4 cited in configure.in). 
    Thanks to Lluis Sanchez <lluis@novell.com>
  * [1207056] Inject a snapshot of the Mono Soft Debugger source from
    2010-10-23 (as found in Mono commitid fbd6abac72ec96f2034d), along
    with some build system special sauce (as found in Debian MonoDevelop
    commitid 9915fc77e5385d377241). This is needed because MonoDevelop
    2.4.1 makes use of methods in Mono.Debugger.Soft which post-date the
    release of Mono 2.6.7, our Squeeze release version. And upstream's
    just-bundle-the-DLL-in-the-source route is inappropriate for Debian.

 -- Jo Shields <directhex@apebox.org>  Sat, 18 Dec 2010 12:09:49 +0000

monodevelop (2.4+dfsg-4) unstable; urgency=low

  * No-change upload to catch new Metacity package name.

 -- Jo Shields <directhex@apebox.org>  Tue, 25 Oct 2011 23:27:01 +0100

monodevelop (2.4+dfsg-3) unstable; urgency=low

  * debian/patches/use_keyfile_not_keycontainer.patch:
    + Two assemblies, Mono.Debugging.dll and MonoDevelop.Debugger.Soft.dll, 
      are built specifying -keycontainer on their compiler command line. 
      Unfortunately, -keycontainer usually fails to function as expected, 
      and instead generates a random key. This causes major problems for
      extensions built against these assemblies. This patch uses -keyfile
      instead, which removes the problem.

 -- Jo Shields <directhex@apebox.org>  Tue, 14 Sep 2010 16:40:37 +0100

monodevelop (2.4+dfsg-2) unstable; urgency=low

  * debian/patches/inject_Mono.Debugger.Soft_source.patch,
    debian/patches/use_system_Mono.Debugger.Soft.patch,
    debian/control:
    + Build against system Soft Debugger, since we now have a new
      enough Mono to match MonoDevelop's required API

 -- Jo Shields <directhex@apebox.org>  Fri, 10 Sep 2010 16:54:48 +0100

monodevelop (2.4+dfsg-1) experimental; urgency=low

  * New upstream release
  * DFSG version of MonoDevelop 2.4. Removed files:
    + src/addins/NUnit/lib/nunit.core.interfaces.dll
    + src/addins/NUnit/lib/nunit.framework.dll
    + src/addins/NUnit/lib/nunit.core.dll
    + src/addins/NUnit/lib/nunit.util.dll
    + src/addins/MonoDevelop.Debugger.Soft/Mono.Debugging.Soft/Mono.Debugger.Soft.dll
  * debian/control:
    + Bump mono build-deps to 2.6.1, to reflect configure.in
    + Add GTK# development packages to Recommends, since most people want
      MonoDevelop in order to write GTK# apps
  * debian/patches/use_libsvn1.patch,
    debian/patches/update_templates_for_gtk-sharp_2.12.patch,
    debian/patches/use_csc.patch,
    debian/patches/remove_support_for_moonlight.patch:
    + Refreshed
  * debian/source/format:
    + Force DebSrc 1.0
  * debian/rules:
    + Force XDG_CONFIG_HOME to allow keystores to work
  * debian/patches/inject_Mono.Debugger.Soft_source.patch,
    debian/patches/remove_support_for_moonlight.patch:
    + MonoDevelop upstream has a nasty habit of bundling binary versions of
      libraries. So we're now pulling in Mono.Debugger.Soft as source, from
      Mono SVN revision r158545, and integrating it into the build system.

 -- Jo Shields <directhex@apebox.org>  Wed, 09 Jun 2010 15:17:58 +0100

monodevelop (2.2.2+dfsg-1) unstable; urgency=low

  [ Stefan Ebner ]
  * New upstream release
  * debian/copyright: Updated

  [ Jo Shields ]
  * Fix up get-orig-source rule to not use ../tarballs

 -- Stefan Ebner <sebner@ubuntu.com>  Wed, 28 Apr 2010 19:35:37 +0200

monodevelop (2.2.1+dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Standards version 3.8.4 (no changes needed)
  * debian/patches/remove_support_for_non_debian_functionality.patch,
    debian/patches/remove_support_for_soft_debugger.patch,
    debian/patches/remove_support_for_moonlight.patch,
    debian/rules:
    + Split patch into two pieces, to make it easier to enable either
      SDB or Moonlight support with a rebuild
  * debian/monodevelop-moonlight.install,
    debian/monodevelop-debugger-sdb.install,
    debian/control:
    + Create packaging data for the Soft Debugger addin and Moonlight addin -
      and comment them out of debian/control as we can't provide them on
      Debian for now

 -- Jo Shields <directhex@apebox.org>  Tue, 02 Feb 2010 11:39:59 +0000

monodevelop (2.2+dfsg-2) unstable; urgency=low

  * debian/rules/remove_support_for_non_debian_functionality.patch:
    + Also fix monodevelop-core-addins.pc to remove links to the
      addins we remove in Debian

 -- Jo Shields <directhex@apebox.org>  Sun, 10 Jan 2010 14:25:59 +0000

monodevelop (2.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * DFSG version of MonoDevelop 2.2 beta 2
    (deleted all pre-compiled binaries from the tarball)
    + For the record here a list of the deleted files:
      src/addins/NUnit/lib/nunit.framework.dll
      src/addins/NUnit/lib/nunit.core.dll
      src/addins/NUnit/lib/nunit.util.dll
      src/addins/NUnit/lib/nunit.core.interfaces.dll
      src/addins/MonoDevelop.Debugger.Soft/MonoDevelop.Debugger.Soft/Mono.Debugger.Soft.dll
  * debian/patches/remove_support_for_non_debian_functionality.patch:
    + Remove Mono Soft Debugger support until we ship Mono 2.6+
  * debian/patches/update_templates_for_gtk-sharp_2.12.patch:
    + Refreshed
  * debian/control:
    + Use -dev packages for things now
    + Change to group-maintained, and add myself as an Uploader

 -- Jo Shields <directhex@apebox.org>  Thu, 07 Jan 2010 19:06:58 +0000

monodevelop (2.1.1+dfsg-2) unstable; urgency=low

  * debian/patches/stetic_widget_corruption_r144546.patch:
    + Fixes an annoying issue with the GUI designer that renames suddenly
      widgets to bin1 and the like.

 -- Mirco Bauer <meebey@debian.org>  Tue, 08 Dec 2009 23:14:37 +0100

monodevelop (2.1.1+dfsg-1) unstable; urgency=low

  [ Jo Shields ]
  * New upstream release
  * DFSG version of MonoDevelop 2.2 beta 2
    (deleted all pre-compiled binaries from the tarball)
    + For the record here a list of the deleted files:
      src/addins/NUnit/lib/nunit.framework.dll
      src/addins/NUnit/lib/nunit.core.dll
      src/addins/NUnit/lib/nunit.util.dll
      src/addins/NUnit/lib/nunit.core.interfaces.dll
  * debian/rules:
    + Deterministic get-orig-source rule (creates persistent md5sum)
    + Set mtime to 2009-09-11 (epoch 0 is easier but causes lots of
      console spew)
    + Ensure tarball is placed in the policy-specified folder
    + Remove Moonlight support until a later date (when we ship the
      Moonlight SDK)
  * debian/patches/link_system_nunit.dpatch,
    debian/patches/use_libsvn1.dpatch,
    debian/patches/update_templates_for_gtk-sharp_2.12.dpatch:
    + Refreshed
  * debian/patches/monodevelop_fix_addin_highlights_r130904:
    + Removed, no longer needed
  * debian/control,
    debian/rules:
    + Use mono-csc from mono-devel >=2.4.2.3, as csc command needs to go
  * debian/control:
    + Add dependency on libmono-microsoft-build2.0-cil

  [ Stefan Ebner ]
  * debian/control:
    + Delete the optional dependency on libgconf2-24-cil
      since Ubuntu fixed this issue
    + Bump Standards-Version to 3.8.3
    + Bump debhelper versioning to >= 7.0.50
    + Replace dpatch build-dependecy with versioned quilt one
  * debian/patch:
    + Convert everything from dpatch to quilt
  * debian/rules:
    + Rewrite with new dh7 features (e.g dh_override, --with quilt)
  * Renamed old README.source to README.debian and added new README.source
    containing information about quilt

  [ Mirco Bauer ]
  * debian/control:
    + Bumped libmono-dev build-dep to >= 2.4.2
    + Bumped GTK/GNOME# build-deps to >= 2.12.8
    + Bumped libmono-addins*-cil build-deps to 0.4
    + Removed unneeded libcairo1.0-cil build-dep

 -- Mirco Bauer <meebey@debian.org>  Thu, 22 Oct 2009 20:25:00 +0200

monodevelop (2.0+dfsg-2) unstable; urgency=low

  * debian/patches/monodevelop_fix_addin_highlights_r130904.dpatch:
    + Backported fix from 2.0 branch to fix breakage in highlighting 
      for addins (and possible resource leakage with them too)

 -- Jo Shields <directhex@apebox.org>  Wed, 08 Apr 2009 19:18:29 +0100

monodevelop (2.0+dfsg-1) unstable; urgency=low

  * New upstream release
  * DFSG version of MonoDevelop 2.0
    (deleted all pre-compiled binaries from the tarball)
    + For the record here a list of the deleted files:
      src/addins/NUnit/lib/nunit.framework.dll
      src/addins/NUnit/lib/nunit.core.dll
      src/addins/NUnit/lib/nunit.util.dll
      src/addins/NUnit/lib/nunit.core.interfaces.dll
  * debian/control:
    + Tweak build-deps to allow building against libgconf2.24-cil due to 
      broken ABI bump in Ubuntu
  * debian/patches/update_templates_for_gtk-sharp_2.10.dpatch,
    debian/patches/update_templates_for_gtk-sharp_2.12.dpatch:
    + Refresh patch to ensure new projects are created using the correct
      version of GTK#

 -- Jo Shields <directhex@apebox.org>  Thu,  2 Apr 2009 20:50:18 +0100

monodevelop (1.9.3+dfsg-2) unstable; urgency=low

  * Rebuild against libgnome2.24-cil
  * debian/control:
    + Replaced libgnome2.0-cil build-dep with libgnome2.24-cil.
    + Bumped Standards-Version to 3.8.1 (no changes needed)
    + Removed libgtksourceview2.0-cil build-dep as unused.

 -- Mirco Bauer <meebey@debian.org>  Sat, 28 Mar 2009 14:56:22 +0100

monodevelop (1.9.3+dfsg-1) unstable; urgency=low

  * DFSG version of MonoDevelop 1.9.3
    (deleted all pre-compiled binaries from the tarball)
    + For the record here a list of the deleted files:
      src/addins/NUnit/lib/nunit.framework.dll
      src/addins/NUnit/lib/nunit.core.dll
      src/addins/NUnit/lib/nunit.util.dll
      src/addins/NUnit/lib/nunit.core.interfaces.dll
  * New upstream release.
  * debian/watch:
    + Updated to use directory of ftp/http download server.
  * debian/patches/link_system_nunit.dpatch:
    + Updated to apply cleanly again.

 -- Mirco Bauer <meebey@debian.org>  Mon, 16 Mar 2009 23:00:12 +0100

monodevelop (1.9.2+dfsg-3) unstable; urgency=low

  * Rebuild against libmetacity-dev 1:2.24.0-2.

 -- Mirco Bauer <meebey@debian.org>  Tue, 10 Mar 2009 01:48:31 +0100

monodevelop (1.9.2+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    + Added build-dep on libmono-cairo1.0-cil as we configure wants it.

 -- Mirco Bauer <meebey@debian.org>  Mon, 02 Mar 2009 21:32:29 +0100

monodevelop (1.9.2+dfsg-1) experimental; urgency=low

  * DFSG version of MonoDevelop 1.9.2
    (deleted all pre-compiled binaries from the tarball)
    + For the record here a list of the deleted files:
      src/addins/NUnit/lib/nunit.framework.dll
      src/addins/NUnit/lib/nunit.core.dll
      src/addins/NUnit/lib/nunit.util.dll
      src/addins/NUnit/lib/nunit.core.interfaces.dll
  * New upstream release
  * debian/control:
    + Added Homepage, Vcs-Browser and Vcs-Svn fields.
    + Enhanced package descriptions.
    + Added monodevelop-debugger-mdb, monodevelop-debugger-gdb and
      monodevelop-vala to suggests.
    + Replaced libmono-nunit2.2-cil build-dep with libnunit2.4-cil.
    + Added exuberant-ctags to suggests as the C/C++ support can use it.
      (Closes: #494743)
    + Added mono-vbnc, monodoc-browser, gcc, make, zip and gettext to
      suggests as monodevelop can make use of them.
  * debian/rules:
    + Implemented get-orig-source target.
  * debian/watch:
    + Updated for the unstable releases.
  * debian/patches/link_system_mono-nunit.dpatch:
    + Dropped as we link against non-mono nunit again.
  * debian/patches/link_system_nunit.dpatch
    debian/patches/use_libsvn1.dpatch:
    + Updated.
  * debian/patches/bashism.dpatch:
    + Dropped, already applied upstream.
  * debian/monodevelop.menu:
    + Updated to use the new SVG icon.

 -- Mirco Bauer <meebey@debian.org>  Sat, 14 Feb 2009 18:23:51 +0100

monodevelop (1.0+dfsg-4) experimental; urgency=low

  [ David Paleino ]
  * debian/watch: correctly mangle Debian version.
  * debian/control:
    - Standards-Version bumped to 3.8.0 (no changes needed)

  [ Mirco Bauer ]
  * debian/control:
    + Replaced mono-gmcs build-dep with mono-devel >= 2.0 as part of the
      Mono 2.0 transition.
    + Removed mono-mcs and mono-gmcs from Suggests/Recommends as
      mono-1.0/2.0-devel does that job already.
    + Added mono-devel to recommends.
    + Added autoconf, automake and autotools-dev to build-deps.
  * debian/rules:
    + Pass "csc" as C# compiler to configure
    + Refresh build-system as we patch parts of it.
  * debian/patches/use_csc.dpatch:
    + This patch replaces hardcoded mcs and gmcs calls with csc.

 -- Mirco Bauer <meebey@debian.org>  Mon, 15 Dec 2008 21:49:52 +0100

monodevelop (1.0+dfsg-3) unstable; urgency=medium

  * debian/control:
    + Removed libxul-dev from build-dependencies, as monodevelop is not using
      it anymore. (Closes: #480797)
    + Build against libmono-nunit2.2-cil instead of libnunit2.2.6-cil.
    + Added mono-2.0-devel to recommends and mono-1.0-devel to suggests, as
      monodevelop invokes resgen(2) and al(2) when needed for *.resx files.
      (Closes: #485797)
    + Updated debhelper build-dependency to >= 7.
    + Updated cli-common-dev build-dependency to >= 0.5.7
      (needed for cli.make)
  * debian/patches/link_system_mono-nunit.dpatch:
    + Link against mono-nunit instead of bundled nunit.
  * debian/rules:
    + Include /usr/share/cli-common/cli.make
    + Migrated to debhelper v7 minimalistic style.
  * debian/compat:
    + Bumped to 7

 -- Mirco Bauer <meebey@debian.org>  Sat, 09 Aug 2008 20:31:49 +0200

monodevelop (1.0+dfsg-2) unstable; urgency=low

  * Rebuild against libgtksourceview2.0-cil 0.12-1

 -- Mirco Bauer <meebey@debian.org>  Fri, 02 May 2008 13:30:06 +0200

monodevelop (1.0+dfsg-1) unstable; urgency=low

  * DFSG version of MonoDevelop 1.0
    (deleted all pre-compiled binaries from the tarball)
    + For the record here a list of the deleted files:
      src/addins/NUnit/lib/nunit.core.dll
      src/addins/NUnit/lib/nunit.framework.dll
  * New upstream (bugfix) release
  * debian/patches/bashism.dpatch:
    + Use bash instead of sh in mdtool. (Closes: #468688)
  * debian/control:
    + Removed unneeded build-dependency on libvte2.0-cil.

 -- Mirco Bauer <meebey@debian.org>  Sun, 24 Feb 2008 19:28:54 +0100

monodevelop (0.19+dfsg-1) unstable; urgency=low

  * DFSG version of MonoDevelop 0.19
    (deleted all pre-compiled binaries from the tarball)
    + For the record here a list of the deleted files:
      src/addins/NUnit/lib/nunit.core.dll
      src/addins/NUnit/lib/nunit.framework.dll
  * New upstream (bugfix) release
  * debian/rules:
    + Fix permissions of .mo files in install target.
    + Using dh_clistrip now to handle (strip) .mdb files.
  * debian/control:
    + Updated cli-common-dev build dependency to >= 0.5.4, as we need
      dh_clistrip from it now.
    + Replaced mono-mcs dependecy with recommends mono-gmcs and suggests
      mono-mcs, as MonoDevelop uses by default the C# 2.0 compiler now.
    + Updated various build-dep versions to match configure's expectation.
    + Replaced libgecko2.0-cil build dependency with libxul-dev, as it's used
      directly.
    + Added libxul0d binary dependency to monodevelop. (Closes: #461353)
  * debian/copyright:
    + Updated author list.
    + Added copyright info.

 -- Mirco Bauer <meebey@debian.org>  Sun, 24 Feb 2008 16:29:47 +0100

monodevelop (0.18.1+dfsg-1) unstable; urgency=low

  * The "With a lot of Love: Merry Christmas!" release
  * DFSG version of MonoDevelop 0.18.1
    (deleted all pre-compiled binaries from the tarball)
    + For the record here a list of the deleted files:
      src/addins/NUnit/lib/nunit.core.dll
      src/addins/NUnit/lib/nunit.framework.dll
  * New upstream release (Closes: #445545)
    + Upstream split MonoDevelop into 4 tarballs:
      - monodevelop
      - monodevelop-boo
      - monodevelop-database
      - monodevelop-java
      thus we split up the monodevelop source package into 4 pieces too.
    + MonoDevelop doesn't crash anymore on startup if TMPDIR points to an
      invalid directory. (Closes: #455822)
  * debian/NEWS:
    + Added an important warning / upgrade hints for users upgrading from
      MonoDevelop 0.14 to 0.18.1.
  * debian/rules:
    + Enabled C/C++ project support and GNOME platform support in configure
      call.
    + Enhanced "make clean" error handling.
  * debian/control:
    + Added C and C++ to package descriptions.
    + Changed suggests monodevelop-query to monodevelop-database.
    + Removed boo, ikvm, libmono-oracle2.0-cil, libmono-bytefx0.7.6.2-cil,
      libmono-npgsql2.0-cil, libmono-sqlite2.0-cil, liblog4net1.2-cil and
      libmono-firebirdsql1.7-cil from build-dependencies.
      Those libraries are used now by the other monodevelop source packages.
    + Added libgtkspell-dev and libmono-winforms2.0-cil to build-dependencies.
    + Changed mono-xsp(2) build dependencies to mono-xsp(2)-base, as those are
      sufficient to build the package. (Closes: #447342)
      (thanks to Cesare Tirabassi <norsetto@ubuntu.com> for the investigation)
  * debian/control
    debian/monodevelop-boo.install
    debian/monodevelop-java.install
    debian/monodevelop-query.install:
    + Removed monodevelop-boo, monodevelop-java and monodevelop-query packages.
  * debian/patches/use_nunit2.2.dpatch:
    + Updated and renamed to link_system_nunit2.2.6.dpatch
  * debian/patches/use_real_libs.dpatch:
    + Dropped, the only lib that is included is Mono.Cecil(.Mdb), which is
      has no public releases and is bundled in source form.
  * debian/patches/use_libsvn1.dpatch
    debian/patches/use_libapr1.dpatch:
    + Updated
  * debian/patches/update_templates_for_gtk_sharp_2.8.x.dpatch:
    + Updated and renamed to update_templates_for_gtk-sharp_2.10.dpatch
  * debian/patches/fix_registering_2.0_system_assemblies.dpatch:
    + Dropped, unneeded as MonoDevelop runs on a CLI 2.0 runtime, and thus it
      must be present.
  * debian/patches/fix_dllmaps.dpatch:
    + Dropped, upstream doesn't ship a dllmap anymore, thus we need to provide
      it completly.
  * debian/MonoDevelop.Gettext.dll.config
    debian/MonoDevelop.SourceEditor.dll.config:
    + Added dllmaps so MonoDevelop uses the right libraries at runtime.
  * debian/patches/mono-addins0.2_forwardport.dpatch:
    + Dropped, already applied upstream.
  * debain/control
    debian/monodevelop.menu:
    + Updated Standards-Version to 3.7.3
    + Updated menu section Apps -> Applications

 -- Mirco Bauer <meebey@debian.org>  Tue, 25 Dec 2007 18:58:51 +0100

monodevelop (0.14+dfsg-3) unstable; urgency=low

  * Added desktop-file-utils to build dependencies. (Closes. #443778)

 -- Mirco Bauer <meebey@debian.org>  Fri, 05 Oct 2007 19:33:51 +0200

monodevelop (0.14+dfsg-2) unstable; urgency=low

  * Rebuilt against libgtksourceview2.0-cil 0.11-1 (Closes: #441367)

 -- Mirco Bauer <meebey@debian.org>  Sun, 09 Sep 2007 12:35:48 +0200

monodevelop (0.14+dfsg-1) unstable; urgency=low

  * DFSG version of MonoDevelop 0.14
    (deleted all pre-compiled binaries from the tarball)
    + For the record here a list of the deleted files:
      Extras/MonoDevelop.GtkCore/lib/libsteticui.dll
      Extras/MonoDevelop.GtkCore/lib/libstetic.dll
      Extras/NUnit/lib/nunit.core.dll
      Extras/NUnit/lib/nunit.framework.dll
      Extras/AspNetEdit/libs/jscall.dll
      contrib/Mono.Addins.dll
      contrib/Mono.Addins.Gui.dll
      contrib/Mono.Addins.Setup.dll
      contrib/log4net.dll
      contrib/FirebirdSql.Data.Firebird.dll
      contrib/Mono.Cecil.dll
  * New upstream release
    + GTK# resource cleanup is now correctly handled. (Closes: #430033)
    + This version builds cleanly against stetic 0.1.0~svn.81552.
      (Closes: #432365)
    + Environment variables are not tampered. (Closes: #399921)
  * debian/patches/use_nunit2.2.dpatch
    debian/patches/use_real_libs.dpatch
    debian/patches/use_libsvn1.dpatch
    debian/patches/use_libapr1.dpatch:
    + Updated for MonoDevelop 0.14
  * debian/patches/fix_aspnetedit_build_system.dpatch:
    + Removed, already applied upstream.
  * debian/patches/mono-addins0.2_forwardport.dpatch:
    + Ported MonoDevelop 0.14 to compile against Mono.Addins 0.2
  * debian/patches/cecil_0.5_backport.dpatch:
    + Ported MonoDevelop 0.14 to compile against Cecil 0.5
  * debian/control:
    + Updated stetic build dependency to >= 0.1.0~svn.81552
    + Added libmono-addins0.2-cil and libmono-addins-gui0.2-cil to build
      dependencies.
    + Replaced ${Source-Version} with ${source:Version}
  * debian/watch:
    + Updated

 -- Mirco Bauer <meebey@debian.org>  Sun, 15 Jul 2007 21:50:31 +0200

monodevelop (0.13.1+dfsg-4) unstable; urgency=low

  * debian/control:
    + Build depend explicitly on libmono-cairo2.0-cil. (Closes: #424075)
      (needed because of a Mono runtime 'remap' 1.0 to 2.0 hack)

 -- Mirco Bauer <meebey@debian.org>  Mon, 04 Jun 2007 22:02:51 +0200

monodevelop (0.13.1+dfsg-3) unstable; urgency=low

  * Rebuild against libmono-cecil0.5-cil. (Closes: #421616)
  * debian/control:
    + Updated libmono-cecil0.4-cil build-dependency to libmono-cecil0.5-cil.
    + Bumped Standards-Version to 3.7.2 (no changes required).
  * debian/rules:
    + Added call for dh_clifixperms in binary-indep target.
  * debian/patches/cecil_0.4_backport.dpatch:
    + Disabled, as we build against cecil 0.5 now.

 -- Mirco Bauer <meebey@debian.org>  Thu, 03 May 2007 19:43:50 +0200

monodevelop (0.13.1+dfsg-2) unstable; urgency=low

  * debian/patches/use_libsvn1.dpatch:
    debian/patches/use_libapr1.dpatch:
    + Remove references in the code that pulls libsvn0 and libapr0 in.
      (Closes: #417763)

 -- Mirco Bauer <meebey@debian.org>  Wed, 04 Apr 2007 22:00:22 +0200

monodevelop (0.13.1+dfsg-1) unstable; urgency=low

   * DFSG version of MonoDevelop 0.13.1
     (deleted all precompiled binaries from the tarball)
     + For the record here a list of the deleted files:
       Extras/NUnit/lib/nunit.core.dll  
       Extras/NUnit/lib/nunit.framework.dll  
       Extras/MonoDevelop.GtkCore/lib/libstetic.dll  
       Extras/MonoDevelop.GtkCore/lib/libsteticui.dll  
       contrib/log4net.dll 
       contrib/Mono.Cecil.dll
       contrib/FirebirdSql.Data.Firebird.dll
   * New upstream release (Closes: #414019)
     + Supports method parameters and constructors for auto-completion now.
       (Closes: #350084)
     + Fixes a crash problem with Gecko.WebControl on startup.
       (Closes: #400239)
   * debian/control:
     + Using my Debian email address now.
     + Updated cli-common-dev build dependency to >= 0.4.4
     + Updates stetic build dependency to >= 0.1.0~svn.74962
     + Added Replaces: monodevelop << 0.13.1 to monodevelop-versioncontrol
     + Removed hardcoded unneeded metacity dependency (Closes: #400816)
     + Updated libnunit2.2-cil build dependency to libnunit2.2.6-cil.
     + Updated booc build dependency to >= 0.7.6.2237-6
   * debian/rules:
     + Using /usr/bin/booc2 in configure call instead of debian/booc2.
   * debian/patches/00list:
     + Disabled remove_gtk-sharp-1.0_support, already applied upstream.
   * debian/patches/use_nunit2.2.dpatch
     debian/patches/use_real_libs.dpatch:
     + Updated for MonoDevelop 0.13.1
   * debian/patches/fix_dllmaps.dpatch:
     + Added DLL map for glibsharpglue-2 to
       MonoDevelop.SourceEditor.dll.config.in.
   * debian/patches/use_x-terminal-emulator.dpatch:
     + Use x-terminal-emulator instead of xterm when using external console
       as application output.
       (disabled though, because multi-gnome-terminal doesn't like it)
   * debian/monodevelop-versioncontrol.install:
     + Added ChangeLogAddIn (moved from monodevelop package), as this plugin
       requires the VersionControl plugin.

 -- Mirco Bauer <meebey@debian.org>  Sun, 25 Mar 2007 22:13:56 +0200

monodevelop (0.12+dfsg-1) unstable; urgency=low

   * DFSG version of MonoDevelop 0.12
     (deleted all precompiled binaries from the tarball)
   * New upstream release
     + Added support for C# 2.0 (as supporting C# 1.0)
     + Added support for ASP.NET
     + ASP.NET designer support not enabled, it's pre-alpha and not usable.
       (and needs additional packages which I created for testing)
   * debian/watch:
     + Updated
   * debian/patches/00list:
     + Disabled use_xulrunner.dpatch, startup script supports xulrunner by
       default now.
   * debian/rules:
     + Fixed configure target dependencies.
   * debian/control:
     + Updated mono-mcs build-dep to mono-gmcs and CLI 1.0 packages to 2.0,
       MonoDevelop now uses C# 2.0 (gmcs).
     + Added libmono-system-runtime2.0-cil to build-deps.
     + Added stetic to build-deps.
     + Added mono-xsp and mono-xsp2 to build-deps (needed for ASP.NET support)
     + Added ASP.NET to package description.
     + Removed boo from Build-Conflicts-Indep, not needed anymore.
     + Added libsvn-dev and libapr1-dev to build-deps.
       (dh_clideps needs the shlibs for dep tracking)
     + Removed hardcoded libsvn0 and libapr0 dependencies from
       monodevelop-versioncontrol (dh_clideps tracks this now, Closes: #391747)

 -- Mirco Bauer <meebey@meebey.net>  Sat, 9 Sep 2006 23:23:45 +0200

monodevelop (0.11-2) unstable; urgency=medium

   * debian/patches/fix_registering_2.0_system_assemblies.dpatch:
     + When the /usr/lib/mono/2.0 directory doesn't exist, the
       initialization of the references failed. (Closes: #381598)
   * debian/patches/libstetic-dllmap.dpatch:
     + Adds libmetacity-private.so.0 to dllmap
       (thanks to Sebastian 'slomo' Dröge)
   * debian/control:
     + Added libmetactiy-dev to build-deps
     + Added boo (= 0.7.6.2237-3) to Build-Conflicts-Indep, as that version
       accidentlly links against CLR 2.0 which breaks the monodevelop-boo
       plugin. (for more details check this boo bugreport: #382700)

 -- Mirco Bauer <meebey@meebey.net>  Sat, 12 Aug 2006 20:14:18 +0200

monodevelop (0.11-1) unstable; urgency=low

   * New upstream release
   * Updated libmono-cecil0.4-cil build-dep to >= 0.4.1+svn20060703-2
   * debian/patches/add_new_file_null.dpatch
     debian/patches/glade_no-gnome.dpatch:
     + Removed, already applied upstream.

 -- Mirco Bauer <meebey@meebey.net>  Wed, 12 Jul 2006 22:15:41 +0200

monodevelop (0.10-2) unstable; urgency=medium

   * Moved debhelper and dpatch from build-dep-indep to build-dep.
   * Added libmetacity0 dependency to monodevelop. (Closes: #365949)
   * Updated libmono-cecil0.3-cil buil-dep to libmono-cecil0.4-cil
   * Updated cli-common build-dep to cli-common-dev
   * Added libmono-sqlite1.0-cil to build-deps. (Closes: #374211)
   * Rebuild against Gecko# 0.11-3
   * Updated libgecko2.0-cil build-dep to >= 0.11-3
   * debian/patches/use_xulrunner.dpatch:
     + Patches monodevelop start script to set the correct MOZILLA_FIVE_HOME
       environment variable.
   * Removed mozilla-dev from build-deps.

 -- Mirco Bauer <meebey@meebey.net>  Sun, 18 Jun 2006 17:48:11 +0200

monodevelop (0.10-1) unstable; urgency=medium

   * New upstream release
     + Fixed fr.po encoding (Closes: #343889)
     + Shows now a status indicator for library indexing, needed for the
       intellisense feature. (Closes: #286598)
     + Doesn't crash anymore when directory names contain "#" (Closes: #342493)
     + Fixes FTBFS because of Mono.Unix namespace change. (Closes: #360218)
       Thus using urgency=medium
   * Rebuild against libnunit2.2-cil (Closes: #353984, #351344)
   * Rebuild against boo 0.7.5.2013 (Closes: #343750)
   * debian/patches/01_use_real_nunit.dpatch
     debian/patches/02_fix_mono.unix_api_breakage.dpatch
     debian/patches/remove_unused_icon.dpatch:
     + Removed, already applied upstream.
   * debian/control:
     + Added libnunit2.2-cil, libmono-oracle1.0-cil, libmono-bytefx0.7.6.1-cil,
       libmono-npgsql1.0-cil, libmono-cecil0.3-cil, liblog4net1.2-cil,
       libmono-firebirdsql1.7-cil to build-deps.
     + Added monodevelop-query package, because it pulls firebird libraries in
       which doesn't exist for all architectures.
     + Updated debhelper build-dep to >= 5.0.0
     + Updated mono-mcs build-dep to >= 1.1.10
     + Updated boo build-dep to >= 0.7.5.2013
     + Changed cli-common build-dep to cli-common-dev >= 0.4.0
   * debian/compat:
     + Bumped to 5
   * debian/copyright:
     + Updated author list.
     + Added URL for the source of stetic.
   * debian/patches/*.dpatch:
     + Thanks to Sebastian 'slomo' Dröge <slomo@ubuntu.com> for all patches.
   * debian/patches/use_real_libs.dpatch:
     + Use real log4net, cecil and FirebirdSql.Data.Firebird instead of the
       bundled versions.
   * debian/patches/update_templates_for_gtk_sharp_2.8.x.dpatch:
     + Updates the references to Gtk# 2 libraries in the templates.
   * debian/patches/glade_wrong_file_extension.dpatch:
     + Fixes bug that used .cs instead of .glade
   * debian/patches/remove_gtk-sharp-1.0_support.dpatch:
     + Removes Gtk# 1.0 support because it can't work.
   * debian/patches/boo_mimetype.dpatch:
     + Adds missing .boo extension entry needed for syntax highlighting
   * debian/patches/add_new_file_null.dpatch:
     + Fixes a crash for new files.
   * debian/patches/glade_no-gnome.dpatch:
     + Glade templates should not depend on GNOME.

 -- Mirco Bauer <meebey@meebey.net>  Sun, 19 Mar 2006 15:36:34 +0100

monodevelop (0.9-1) unstable; urgency=low

   * New upstream release
   * debian/control:
     - Added libvte2.0-cil to build-deps.
     - Added mozilla-dev again to build-deps.
     - Updated versioned build-dep on Gtk# to >= 2.4.0.
   * debian/patches/01_use_real_nunit.dpatch:
     - Updated for MonoDevelop 0.9.
   * debian/patches/remove_unused_icon.dpatch:
     - Removes a reference to an icon which doesn't exist,  caused exception
       on PPC. (Closes: #338053)
       (thanks to Sebastian 'slomo' Dröge <slomo@ubuntu.com> for the patch)

 -- Mirco Bauer <meebey@meebey.net>  Sat, 26 Nov 2005 15:16:10 +0100

monodevelop (0.8-1) unstable; urgency=low

   * New upstream release
   * debian/rules:
     - Enabled NUnit support.
     - Enabled VersionControl (SVN) support.
   * debian/control:
     - Added libnunit-cil (>= 1.1.8) to build-deps.
     - Removed mozilla-dev from build-deps.
     - Added monodevelop-java, monodevelop-nunit and monodevelop-versioncontrol
       package.
   * debian/patches/00list:
     - Removed 01_remove_bashism, parsing_mcs_1.1.9_output,
       update_templates_for_gtk_sharp_2.3.x and boo_0.6.0_compat, they are
       already applied upstream.
     - Added 01_use_real_nunit.
   * debian/patches/01_use_real_nunit.dpatch:
     - Created patch to use nunit instead of mono-nunit.

 -- Mirco Bauer <meebey@meebey.net>  Sun, 16 Oct 2005 21:26:16 +0200

monodevelop (0.7-3) unstable; urgency=low

   * Rebuilt against MonoDoc 1.1.9
   * Rebuilt against Gtk# 2.3.91
   * Rebuilt against Boo 0.6.0.1858
   * Updated versioned build-dep on Gtk# to >= 2.3.91.
   * Updated versioned build-dep on boo to >= 0.6.0.1858.
   * Updated versioned build-dep on monodoc-base to >= 1.1.9.
   * Updated versioned build-dep on cli-common to >= 0.2.0.
   * Created parsing_mcs_1.1.9_output.dpatch, backport of upstream's SVN r2727.
   * Added boo_0.6.0_compat.dpatch
     (thanks to Peter Johanson <latexer@gentoo.org> for the patch)
   * Really fix bashism, updated 01_fix_startup_script.dpatch
     (Closes: #311672)
   * Updated to Standards Version 3.6.2.1 (no changes).

 -- Mirco Bauer <meebey@meebey.net>  Sun, 25 Sep 2005 19:54:34 +0200

monodevelop (0.7-2) unstable; urgency=low

   * Created 01_fix_startup_script.dpatch to fix bashism (Closes: #311672).
   * Enabled Boo and Java support (Closes: #311730).
   * Created monodevelop-boo and monodevelop-java package.
     (building monodevelop-java package is disabled though, the integration
      is currently buggy in 0.7)
   * debian/NEWS:
     + Updated for 0.4 -> 0.7 problems/news, please read!
   * debian/control:
     + Removed libmono-dev, libglade2-dev, libgnome2-dev, libgtksourceview-dev,
       libgnomevfs2-dev and liborbit2-dev from build-deps. They are not
       required anymore because monodevelop uses the C# bindings now.
     + Removed "Uploaders" field, it's optional.
     + Added boo and ikvm to build-deps.
     + Added ${misc:Depends} to "Depends".
   * debian/rules:
     + Added --enable-boo and --enable-ikvm to configure call.
     + Added dh_installmime and dh_desktop call.
     + Removed all "-i" from dh_* calls, whole package is arch indep.

 -- Mirco Bauer <meebey@meebey.net>  Sun, 19 Jun 2005 16:27:59 +0200

monodevelop (0.7-1) unstable; urgency=low

   * upload to unstable
   * new upstream release
   * updated mono-mcs build-dep to >= 1.1.2 (Closes: #310117)
   * updated Gtk#2 buil-dep to >= 1.9.5
   * debian/rules:
     + removed update-mime-db hack
     + added --disable-update-desktopdb to ./configure call
   * debian/control:
     + changed arch from any to all, MonoDevelop is 100% C# code now
     + updated cli-common build-dep to >= 0.1.3

 -- Mirco Bauer <meebey@meebey.net>  Sun, 29 May 2005 20:17:47 +0200

monodevelop (0.6-1) experimental; urgency=low

   * New upstream release
    + Edit->Undo problems are solved (Closes: #258265)
    + "Xlib: unexpected async reply" problems solved (Closes: #297469)
    + Dialog's OK buttons didn't do anything solved (Closes: #300528)
    + Provides now own monodevelop.desktop (Closes: #307676)
   * Mirco 'meebey' Bauer
    + fixed typo in description. (Closes: #295692)
    + /usr/share/dotnet to /usr/lib transition
    + added build-dep for cli-common.
    + removed build-dep for mono-utils.
    + added hack to get around update-mime-db in debian/rules
    + changed Maintainer to myself, this package is not in the scope of the
      Debian Mono Group.

 -- Mirco Bauer <meebey@meebey.net>  Sat, 23 Apr 2005 13:16:39 +0200

monodevelop (0.5.1-2) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + cli is now called with "--debug" again

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 05 Dec 2004 21:12:43 +0200

monodevelop (0.5.1-1) unstable; urgency=high

  * New upstream release
    + FTBFS fixed, thus urgency set to high (Closes: #270026)
  * Mirco 'meebey' Bauer
    + fixed xterm dependency
    + added RUNTIME variable to debian/rules calls
    + updated 01_spawn_xterm_fix and 02_start_script_cli_fix for this release

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Thu, 09 Oct 2004 17:20:13 +0200

monodevelop (0.5-2) unstable; urgency=low

  * Mono BSP
  * Mirco 'meebey' Bauer
    + added pkg-config dependency (Closes: #262491)
    + added 01_spawn_xterm_fix patch
      upstream depends stricly on xterm to execute the programs compiled with
      monodevelop. The command uses xterm -e and run a shell "read" at the
      end. This doesn't work with other x-terminal-emulators, they don't spawn
      a shell for the command. x-terminal-emulator -e with -c fixes this.
      (Closes: #260404)

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 08 Aug 2004 13:42:14 +0200

monodevelop (0.5-1) unstable; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + FTBFS: added libmono-dev to Build-Depends
    + added mono-mcs dependency (Closes: #255429)
    + updated Build-Deps for 0.5 release
  * Eduard Bloch
    + added x-terminal-emulator dependency (plus patching the source to run
      "x-terminal-emulator")

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat, 03 Jul 2004 16:34:14 +0200

monodevelop (0.4-1) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + new upstream release
    + added libglade-cil and monodoc-manual dependecy
      (Closes: #253983, #255168)
    + now using dh_makenetlib and dh_netdeps
    + since monodevelop 0.3 the monodoc documenation is embedded, added
      "Provides: monodoc-viewer"
  * Eduard Bloch
    + dependency tuning

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat, 19 Jun 2004  17:12:04 +0200

monodevelop (0.3-1) unstable; urgency=low

  * Initial Release.
    (closes: Bug#238126)

 -- Mirco 'meebey' Bauer <mail@meebey.net>  Mon, 15 Mar 2004 18:41:55 +0100
